모니터링 및 결과 폴링을 위해 CometAPI GET /mj/task//fetch를 사용해 단일 Midjourney 작업 상태를 빠르고 안정적으로 조회합니다.
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}statusprogressimageUrl 또는 videoUrlcustomId 값은 buttonsSUCCESS, MODAL, FAILURE에 도달할 때까지 계속 폴링하세요buttons 배열을 사용하세요imageUrl을 사용하세요SUCCESS, progress: 100%, imageUrl, 그리고 9개의 action 버튼이 반환되었습니다.Bearer token authentication. Use your CometAPI key.
Midjourney task id.
Current task state.
Show child attributes
Show child attributes
curl --request GET \
--url https://api.cometapi.com/mj/task/{id}/fetch \
--header 'Authorization: Bearer <token>'{
"id": "1773314942177684",
"status": "SUCCESS",
"progress": "100%",
"imageUrl": "https://api.cometapi.com/mj/image/1773314942177684",
"videoUrl": "",
"buttons": [
{
"customId": "MJ::JOB::upsample::1::example",
"emoji": "",
"label": "U1",
"type": 2,
"style": 1
}
]
}